#include <bits/stdc++.h>


using namespace std;

using ll = long long;
using pii = pair<int, int>;
const ll mod = 998244353;
const int maxn = 1e6 + 1;


 
signed main() {
#ifdef LOCAL
    freopen("input", "r", stdin);
#else
    ios::sync_with_stdio(0);
    cin.tie(0);
#endif
    int n, m;
    cin >> n >> m;
    if (m % 2 == 0) {
        cout << "No" << endl;
    } else {
        cout << "Yes" << endl;
        cout << ((n + 1) / 2) << endl;
        cout << 1 << endl;
        cout << (n / 2) << " " << ((n + 1) / 2) << endl;
    }
}